import { ImageStore } from '../../../config';
import { RemoteImageProtocol } from './remote-image-protocol';
export declare class RemoteImageStore implements ImageStore {
    private readonly remoteImageProtocol;
    constructor(remoteImageProtocol: RemoteImageProtocol);
    private getDiagramImageUrlPrefix;
    getImageUrl(imageId: string): string;
}
